package cn.com.qmth.examcloud.api.commons.security.bean;

import java.util.Date;
import java.util.List;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 用户
 *
 * @author WANGWEI
 * @date 2018年5月22日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class User implements JsonSerializable {

	private static final long serialVersionUID = 8766713125414955078L;

	/**
	 * 全局唯一用户标识符
	 */
	private String key;

	/**
	 * 用户类型
	 */
	private UserType userType;

	/**
	 * 用户ID(包含普通用户ID,学生用户ID)
	 */
	private Long userId;

	/**
	 * 显示名
	 */
	private String displayName;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 顶级机构名称
	 */
	private String rootOrgName;

	/**
	 * 鉴权token创建时间
	 */
	private Date tokenCreationTime;

	/**
	 * 角色集合
	 */
	private List<Role> roleList;

	/**
	 * 客户端IP
	 */
	private String clientIp;

	/**
	 * 鉴权token
	 */
	private String token;

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public UserType getUserType() {
		return userType;
	}

	public void setUserType(UserType userType) {
		this.userType = userType;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getDisplayName() {
		return displayName;
	}

	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getRootOrgName() {
		return rootOrgName;
	}

	public void setRootOrgName(String rootOrgName) {
		this.rootOrgName = rootOrgName;
	}

	public Date getTokenCreationTime() {
		return tokenCreationTime;
	}

	public void setTokenCreationTime(Date tokenCreationTime) {
		this.tokenCreationTime = tokenCreationTime;
	}

	public List<Role> getRoleList() {
		return roleList;
	}

	public void setRoleList(List<Role> roleList) {
		this.roleList = roleList;
	}

	public String getClientIp() {
		return clientIp;
	}

	public void setClientIp(String clientIp) {
		this.clientIp = clientIp;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

}
